### AUTOUPDATE-OFF: 1
Name:          xsm
Version:       1.0.3
Release:       1mamba
Summary:       xsm - X Session Manager
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://xorg.freedesktop.org/
Source:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXt-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
xsm is a session manager. 
A session is a group of applications, each of which has a particular state. 
xsm allows you to create arbitrary sessions - for example, you might have a "light" session, a "development" session, or an "xterminal" session. 
Each session can have its own set of applications. 
Within a session, you can perform a "checkpoint" to save application state, or a "shutdown" to save state and exit the session. 
When you log back in to the system, you can load a specific session, and you can delete sessions you no longer want to keep.

Some session managers simply allow you to manually specify a list of applications to be started in a session. 
xsm is more powerful because it lets you run applications and have them automatically become part of the session. 
On a simple level, xsm is useful because it gives you this ability to easily define which applications are in a session. 
The true power of xsm, however, can be taken advantage of when more and more applications learn to save and restore their state. 

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR="%{buildroot}"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xsm/system.xsm
%{_bindir}/%{name}
%{_datadir}/X11/app-defaults/XSm
%{_mandir}/man?/*
%doc COPYING
#ChangeLog README

%changelog
* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Sat Apr 23 2011 Tiziana Ferro <tiziana.ferro@email.it> 1.0.2-1mamba
- package created by autospec
